Subject: Re: [bug#73439] [PATCH v5 4/5] gnu: libreoffice: Update to 24.8.2.1.

From: Nicolas Graves <[email-masked]>
Date: Sat, 16 Nov 2024 22:38:31 +0100

On 2024-11-16 01:04, Nicolas Graves via Guix-patches via wrote:

>
> Actually these lines were supposed to fix it, they seem to be in the
> patch, aren't they?
>
>   @@ -961,6 +967,13 @@ (define-public libreoffice
>                                 "shell/source/unix/misc/senddoc.sh")
>                    (("/usr/bin/xdg-open")
>                     (search-input-file inputs "/bin/xdg-open")))
>   +
>   +              ;; https://issues.guix.gnu.org/43579
>   +              (substitute* '("sal/rtl/math.cxx"
>   +                             "sc/source/core/tool/math.cxx")
>   +                (("std::(fe[gs]etround|feclearexcept|fetestexcept)" all suffix)
>   +                 suffix))
>   +
>
> Did it not apply correctly?  I think it's the same error as 43579.

I don't really know what broke that, possibly recent work on input
ordering.  When putting gcc-12 as the last native-input, it seems to
work properly on my end (whereas alphabetically, I would have the same
error).  All of this is a dirty hack though, but at least it points to
the right issue which is not with libreoffice but 43579.

I'll resubmit a new version updated to the last current libreoffice
version.

-- 
Best regards,
Nicolas Graves